Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.eviware.soapui.support.swing
Class ListMouseListener

    java.lang.Object
      java.awt.event.MouseAdapter
          com.eviware.soapui.support.swing.ListMouseListener

All Implemented Interfaces:
  java.awt.event.MouseListener, java.util.EventListener

Direct Known Subclasses:
  ModelItemListMouseListener

    public abstract class ListMouseListener

extends java.awt.event.MouseAdapter

Abstract MouseListener for JLists that displays a row-sensitive popup-menu

Author:
  ole.matzura

Constructor Summary
`ListMouseListener()`
`ListMouseListener(boolean enablePopup)`

Method Summary
`protected abstract ActionList` | `getActionsForRow(javax.swing.JList list, int row)`
`void` | `mouseClicked(java.awt.event.MouseEvent e)`
`void` | `mousePressed(java.awt.event.MouseEvent e)`
`void` | `mouseReleased(java.awt.event.MouseEvent e)`
`void` | `setPopupMenu(javax.swing.JPopupMenu menu)`
`void` | `showPopup(java.awt.event.MouseEvent e)`

Methods inherited from class java.awt.event.MouseAdapter
`mouseEntered, mouseExited`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ListMouseListener

    public ListMouseListener()

### ListMouseListener

    public ListMouseListener(boolean enablePopup)

Method Detail

### getActionsForRow

    protected abstract ActionList getActionsForRow(javax.swing.JList list,
                                                   int row)

### mouseClicked

    public void mouseClicked(java.awt.event.MouseEvent e)

  Specified by:
    `mouseClicked` in interface `java.awt.event.MouseListener`
  Overrides:
    `mouseClicked` in class `java.awt.event.MouseAdapter`

### mousePressed

    public void mousePressed(java.awt.event.MouseEvent e)

  Specified by:
    `mousePressed` in interface `java.awt.event.MouseListener`
  Overrides:
    `mousePressed` in class `java.awt.event.MouseAdapter`

### mouseReleased

    public void mouseReleased(java.awt.event.MouseEvent e)

  Specified by:
    `mouseReleased` in interface `java.awt.event.MouseListener`
  Overrides:
    `mouseReleased` in class `java.awt.event.MouseAdapter`

### showPopup

    public void showPopup(java.awt.event.MouseEvent e)

### setPopupMenu

    public void setPopupMenu(javax.swing.JPopupMenu menu)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 eviware.com. All Rights Reserved.